Hola colegas, no he logrado ejecutar el HelloWorld en Android Studio. Me dice que no puede “resolver” la biblioteca “import android.support.v7.app.AppCompatActivity;”. En la carpeta “android-sdk-linux/extras/android/m2repository/com/android/support/appcompat-v7/” la mayor versión que tengo es la 21.0.2, sin embargo al crear el proyecto el build.gradle tiene el siguiente contenido (abreviado):

compileSdkVersion 23
buildToolsVersion “23.0.0 rc3”

defaultConfig {
minSdkVersion 17
targetSdkVersion 23

dependencies {
compile fileTree(dir: ‘libs’, include: [‘*.jar’])
compile ‘com.android.support:appcompat-v7:23.+’

Entre las cosas que he hecho para intentar solucionar el problema están cambiar algunos parámetros en este fichero según la versión de la que dispongo, sincronizar el proyecto, “invalidate caches / restart” pero nada. El build.gradle queda de la siguiente manera y sigue sin funcionar:

compileSdkVersion 21
buildToolsVersion “21.0.2”

defaultConfig {
minSdkVersion 17
targetSdkVersion 21

dependencies {
compile fileTree(dir: ‘libs’, include: [‘*.jar’])
compile ‘com.android.support:appcompat-v7:21.0.2’

A esto sumarle que al cargar en la vista de diseño de mi activity me muestra lo siguiente “Rendering Problems Missing styles. Is the correct theme chosen for this layout? Use the Theme combo box above the layout to choose a different layout, or fix the theme style references. Failed to find style ‘textViewStyle’ in current theme (4 similar errors not shown)”. Por último una captura del SDKManager por si sirve de algo. (https://misarchivos.uci.cu/public.php?service=files&t=12fcff4f4c458afae039399fdf7c1c4d)